# class SS7TUP | SS7 TUP implementation. More...
Full name | `TelEngine::SS7TUP`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SS7Layer4 [public ], TelEngine::SignallingCallControl [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SS7TUP (const NamedList& params, unsigned char sif = SS7MSU::TUP)
- virtual ~SS7TUP ()

## Detailed Description

Implementation of SS7 Telephone User Part

SS7TUP (const NamedList& params, unsigned char sif = SS7MSU::TUP) | ### SS7TUP

Constructor

Parameters:

params | Call controller's parameters
sif | The default Service Information Field

~SS7TUP () | ### ~SS7TUP

[virtual]

Destructor Terminate all calls

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.